Update a ruleset

View as Markdown

Updates a ruleset. Only the fields present in the request body are updated. If content is provided, it replaces the entire contents of the ruleset.

Note:

Postman-managed system rulesets (type: system) can’t be updated and return an HTTP 403 Forbidden response.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

rulesetIdstringRequired
The ruleset's ID.

Request

This endpoint expects an object.
namestringOptionalformat: "^[a-zA-Z0-9_.-]+$"<=255 characters
The ruleset's name.
descriptionstringOptional<=1000 characters
The ruleset's description.
contentstringOptional

The ruleset’s content, up to a maximum of 500 KB (UTF-8).

Response

Ruleset Updated
idstring
The resource's ID.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error